'use client';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import { Formik, Form, Field } from 'formik';
import React from 'react';
import Swal from 'sweetalert2';
import * as Yup from 'yup';

export default function() {
    const submitForm = () => {
        const toast = Swal.mixin({
            toast: true,
            position: 'top',
            showConfirmButton: false,
            timer: 3000,
        });
        toast.fire({
            icon: 'success',
            title: 'فرم با موفقیت ارسال شد',
            padding: '10px 20px',
        });
    };

    const SubmittedForm = Yup.object().shape({
        fullName: Yup.string().required('لطفا نام را پر کنید'),
    });

    return (
        <PanelCodeHighlight
            title="پایه"
        >
            <div className="mb-5">
                <Formik
                    initialValues={{
                        fullName: '',
                    }}
                    validationSchema={SubmittedForm}
                    onSubmit={() => {}}
                >
                    {({ errors, submitCount, touched }) => (
                        <Form className="space-y-5">
                            <div className={submitCount ? (errors.fullName ? 'has-error' : 'has-success') : ''}>
                                <label htmlFor="fullName">نام و نام خانوادگی </label>
                                <Field name="fullName" type="text" id="fullName" placeholder=" نام و نام خانوادگی" className="form-input" />

                                {submitCount ? errors.fullName ? <div className="mt-1 text-danger">{errors.fullName}</div> : <div className="mt-1 text-success">خوب به نظر می رسد!</div> : ''}
                            </div>
                            <button
                                type="submit"
                                className="btn btn-primary !mt-6"
                                onClick={() => {
                                    if (touched.fullName && !errors.fullName) {
                                        submitForm();
                                    }
                                }}
                            >
                                ارسال
                            </button>
                        </Form>
                    )}
                </Formik>
            </div>
        </PanelCodeHighlight>
    );
}
